Bug 657117 - Custom search folder summary not marking messages as read
Summary: Custom search folder summary not marking messages as read
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server
Version: 6.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 645519
TreeView+ depends on / blocked
 
Reported: 2010-11-24 23:43 UTC by Jacob Hunt
Modified: 2011-05-19 14:12 UTC (History)
2 users (show)

Fixed In Version: evolution-data-server-2.28.3-12.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 14:12:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 634658 0 None None None Never
Red Hat Product Errata RHBA-2011:0713 0 normal SHIPPED_LIVE evolution-data-server bug fix update 2011-05-18 18:09:53 UTC

Description Jacob Hunt 2010-11-24 23:43:27 UTC
Description of problem:

When creating custom search folders in evolution the summary doesn't mark unread message summary as read after all emails have been read.  Requires a restart of evolution to update as read.  Even doing a right-click "Mark messages as Read" doesn't update status.



Version-Release number of selected component (if applicable):

evolution-data-server-2.28.3-10.el6.x86_64
evolution-2.28.3-10.el6.x86_64
evolution-help-2.28.3-10.el6.noarch
evolution-mapi-0.28.3-6.el6.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Create a custom search folder
2. Receive email
3. Read the email, or mark as read
4. The unread message summary will still show unread email even though all mail has been read or marked as read
  
Actual results:

Search folder shows unread messages


Expected results:

Search folder should be updated to no unread messages

Additional info:

Comment 2 Milan Crha 2010-11-25 08:29:35 UTC
Thanks for a bug report. This might be addressed by backporting a patch for the upstream bug report [1].

Just in case, if I got it right, you are marking messages as read in real folders, and see no change in unread count on search folders, right?

[1] https://bugzilla.gnome.org/show_bug.cgi?id=634658

Comment 3 Jacob Hunt 2010-11-25 15:09:46 UTC
That is correct, if I mark the message as read in the inbox the search folder still shows a summary of unread messages.

Comment 4 Milan Crha 2010-11-26 07:14:56 UTC
OK, thanks, then the patch from the upstream bug should help here.

Comment 5 Matthew Barnes 2010-11-30 04:02:07 UTC
Upstream patch available, so we can take this for 6.1.

Comment 6 RHEL Program Management 2010-11-30 04:04:54 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Comment 7 Matthew Barnes 2010-11-30 13:32:29 UTC
Whoops, set the wrong devel flag.  Reopening for 6.1.

Comment 9 Matthew Barnes 2011-01-10 17:56:40 UTC
Patch backported to 2.28.3 in evolution-data-server-2.28.3-12.el6.

Comment 11 Jacob Hunt 2011-03-23 05:19:21 UTC
Just wanted to comment, I upgraded to RHEL 6.1 Beta:

evolution-2.28.3-20.el6.x86_64

The issue appears to be resolved with that update, thank you very much!

Comment 13 errata-xmlrpc 2011-05-19 14:12:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0713.html


Note You need to log in before you can comment on or make changes to this bug.